//
// Created by jholder on 27.10.21.
//
#include "Eigen/Dense"
#pragma once
[[maybe_unused]] const static auto harmonic_Force =
        [](const Eigen::Vector2d &pos,
           const Eigen::Vector2d & /*torque*/) -> Eigen::Vector2d {
            return -1.0 * pos;
        };
[[maybe_unused]] const static auto const_Force =
        [](const Eigen::Vector2d & /*pos*/,
           const Eigen::Vector2d & /*torque*/) -> Eigen::Vector2d {
            return {1,1};
        };
[[maybe_unused]] const static auto zero_Force =
        [](const Eigen::Vector2d & /*pos*/,
           const Eigen::Vector2d & /*torque*/) -> Eigen::Vector2d {
            return {0.0, 0.0};
        };
[[maybe_unused]] const static auto zero_Torque = [](const Eigen::Vector2d & /*pos*/,
                                       const Eigen::Vector2d & /*torque*/) -> double {
    return 0.0;
};

